-- NOTES:

-- > teleport and WakeUp in lobby bed > dialog
-- > 3 interactions that set a flag
-- (dream journal with new page, computer can’t turn on, go outside)
-- > whiteout dialog > upgrade

function onTalk()
	disableMovement()
	disableRetry()
	player.Facing = getEnum("Celeste.Facings", "Right")
	walkTo(4580)
	player.Sprite:Play("idle")
	player.DummyAutoAnimate = false
	playSound("event:/CC/CC_HollowKnight/SFX/Scene/HeroDreamNailSlash",player.Position)
	wait(0.65)
	player.Sprite:Play("dreamNailReflect")
	wait(1.9) -- or the actual time of the animation
	setFlag("blackFade",true)
	wait(1.5)
	teleportTo(-1872,112,"VoidRoom")
end

function onEnd(room, wasSkipped)
	enableMovement()
	enableRetry()
	setFlag("VoidHeartCutsceneA_Seen",true)
	if wasSkipped then
		teleportTo(-1872,112,"VoidRoom")
	end
end